#
# spec file for package python-monotonic
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-monotonic
Version:        0.6
Release:        1.1
Summary:        An implementation of time.monotonic() for Python 2 & < 33
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/atdt/monotonic
Source:         https://pypi.python.org/packages/source/m/monotonic/monotonic-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This module provides a ``monotonic()`` function which returns the
value (in fractional seconds) of a clock which never goes backwards.

%prep
%setup -q -n monotonic-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/*

%changelog
* Mon Feb 15 2016 dmueller@suse.com
- update to 0.6:
  * Changed AttributeError flow control to getattr-with-default-argument
  * Added support for pre-Vista Windows versions using GetTickCount
* Fri Aug 21 2015 tbechtold@suse.com
- update to 0.3:
  * Bump version to 0.3
  * Add support for cygwin
  * Set CLOCK_MONOTONIC for Solaris
* Mon Jun 22 2015 dmueller@suse.com
- Initial package (0.2)
